Cocoon API: Class XSPPage

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp
Class XSPPage

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.producer.AbstractProducer
                  |
                  +--org.apache.cocoon.processor.xsp.XSPPage

All Implemented Interfaces:
  Actor, Cacheable, Changeable, Defaults, Producer

public abstract class XSPPage
extends AbstractProducer
implements Cacheable

Version:
  $Revision: 1.10 $ $Date: 2001/01/17 20:45:15 $
Author:
  Ricardo Rocha

Field Summary
`protected XSPGlobal` | `global`
`protected javax.servlet.ServletContext` | `servletContext`
`protected Parser` | `xspParser`

Fields inherited from class org.apache.cocoon.producer.AbstractProducer
`context, parser`

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Fields inherited from interface org.apache.cocoon.Defaults
`BROWSERS_PROP, CACHE_DEFAULT, CACHE_PROP, COCOON_FORMAT_PI, COCOON_PROCESS_PI, DEFAULT_BROWSER, DISABLE_CACHING_PI, ERROR_INTERNALLY, FORMATTER_PROP, HOME, INIT_ARG, INTERPRETER_PROP, LOG, LOG_LEVEL, LOOPS, NAME, OUTPUTTING, PARSER_DEFAULT, PARSER_PROP, PROCESSOR_PROP, PRODUCER_PROP, PROFILER_DEFAULT, PROFILER_PROP, PROPERTIES, SHOW_STATUS, STATUS_URL, STATUS_URL_DEFAULT, STORE_DEFAULT, STORE_PROP, STYLESHEET_PI, TRANSFORMER_DEFAULT, TRANSFORMER_PROP, VERSION, WHOLE_REQUEST, YEAR`

Constructor Summary
`XSPPage()`

Method Summary
`org.w3c.dom.Document` | `getDocument(javax.servlet.http.HttpServletRequest request)` This method is the only one called by the Cocoon engine.
`org.w3c.dom.Document` | `getDocument(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` | `getPath(javax.servlet.http.HttpServletRequest request)` Returns the path where the resource is found, or an empty string if no path can be applied to the resource.
`java.io.Reader` | `getStream(javax.servlet.http.HttpServletRequest request)` This method is responsible to provide an input stream to read the data generated or contained by the resource mapped by this document producer.
`void` | `init(java.util.Dictionary parameters)`
`void` | `init(Director director)` Initialize the producer setting its context.
`boolean` | `isCacheable(javax.servlet.http.HttpServletRequest request)` For backward repository compatibility when upgrading to Cocoon 1.8.1 from an earlier version.
`abstract void` | `populateDocument(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.w3c.dom.Document document)`
`protected org.w3c.dom.Text` | `xspExpr(boolean v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Text` | `xspExpr(byte v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Text` | `xspExpr(char v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Text` | `xspExpr(double v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Text` | `xspExpr(float v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Text` | `xspExpr(int v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Text` | `xspExpr(long v, org.w3c.dom.Document factory)`
`protected org.w3c.dom.Node` | `xspExpr(java.lang.Object v, org.w3c.dom.Document factory)`

Methods inherited from class org.apache.cocoon.producer.AbstractProducer
`hasChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xspParser

    protected Parser xspParser

### servletContext

    protected javax.servlet.ServletContext servletContext

### global

    protected XSPGlobal global

Constructor Detail

### XSPPage

    public XSPPage()

Method Detail

### init

    public void init(Director director)

  Description copied from class: `AbstractProducer`
  Initialize the producer setting its context.
  Overrides:
    `init` in class `AbstractProducer`

### init

    public void init(java.util.Dictionary parameters)

### getDocument

    public final org.w3c.dom.Document getDocument(javax.servlet.http.HttpServletRequest request)
                                           throws java.lang.Exception

  Description copied from class: `AbstractProducer`
  This method is the only one called by the Cocoon engine. Producers are allowed to create streams and this class "mediates" translating these streams into DOM trees. For producers willing to generate DOM trees automatically, they should override this method and may well ignore to implement the getStream() method since it's never called directly by Cocoon.
  Overrides:
    `getDocument` in class `AbstractProducer`

### getDocument

    public org.w3c.dom.Document getDocument(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)
                                     throws java.lang.Exception

### populateDocument

    public abstract void populateDocument(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response,
                                          org.w3c.dom.Document document)
                                   throws java.lang.Exception

### isCacheable

    public boolean isCacheable(javax.servlet.http.HttpServletRequest request)

  For backward repository compatibility when upgrading to Cocoon 1.8.1 from an earlier version.
  Specified by:
    `isCacheable` in interface `Cacheable`

### xspExpr

    protected org.w3c.dom.Text xspExpr(char v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Text xspExpr(byte v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Text xspExpr(boolean v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Text xspExpr(int v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Text xspExpr(long v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Text xspExpr(float v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Text xspExpr(double v,
                                       org.w3c.dom.Document factory)

### xspExpr

    protected org.w3c.dom.Node xspExpr(java.lang.Object v,
                                       org.w3c.dom.Document factory)

### getStream

    public java.io.Reader getStream(javax.servlet.http.HttpServletRequest request)
                             throws java.io.IOException

  Description copied from interface: `Producer`
  This method is responsible to provide an input stream to read the data generated or contained by the resource mapped by this document producer. This stream is not guaranteed to be buffered.

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Producer`
  Returns the path where the resource is found, or an empty string if no path can be applied to the resource. Warning, null values are not valid.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.